/*Support file for zlib.pas

  Copyright (C) 2002 by Eike Lange

  Author: Eike Lange <eike@g-n-u.de>

  This unit is free software; you can redistribute it and/or modify
  it under the terms of the GNU Library General Public License as
  published by the Free Software Foundation, version 2.

  This unit is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this library; see the file COPYING.LIB. If not,
  write to the Free Software Foundation, Inc., 59 Temple Place -
  Suite 330, Boston, MA 02111-1307, USA. 
*/

/* Original Copyright of zlib.h
*/

/* zlib.h -- interface of the 'zlib' general purpose compression library
  version 1.1.4, March 11th, 2002

  Copyright (C) 1995-2002 Jean-loup Gailly and Mark Adler

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not
     claim that you wrote the original software. If you use this software
     in a product, an acknowledgment in the product documentation would be
     appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be
     misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.

  Jean-loup Gailly        Mark Adler
  jloup@gzip.org          madler@alumni.caltech.edu


  The data format used by the zlib library is described by RFCs (Request for
  Comments) 1950 to 1952 in the files ftp://ds.internic.net/rfc/rfc1950.txt
  (zlib format), rfc1951.txt (deflate format) and rfc1952.txt (gzip format).
*/


#include <zlib.h>


/* Constants to variables mapping */

char *czlib_version        = ZLIB_VERSION;
int cz_no_flush            = Z_NO_FLUSH;
int cz_partial_flush       = Z_PARTIAL_FLUSH;
int cz_sync_flush          = Z_SYNC_FLUSH;
int cz_full_flush          = Z_FULL_FLUSH;
int cz_finish              = Z_FINISH;
int cz_ok                  = Z_OK;
int cz_stream_end          = Z_STREAM_END;
int cz_need_dict           = Z_NEED_DICT;
int cz_errno               = Z_ERRNO;
int cz_stream_error        = Z_STREAM_ERROR;
int cz_data_error          = Z_DATA_ERROR;
int cz_mem_error           = Z_MEM_ERROR;
int cz_buf_error           = Z_BUF_ERROR;
int cz_version_error       = Z_VERSION_ERROR;
int cz_no_compression      = Z_NO_COMPRESSION;
int cz_best_speed          = Z_BEST_SPEED;
int cz_best_compression    = Z_BEST_COMPRESSION;
int cz_default_compression = Z_DEFAULT_COMPRESSION;
int cz_filtered            = Z_FILTERED;
int cz_huffman_only        = Z_HUFFMAN_ONLY;
int cz_default_strategy    = Z_DEFAULT_STRATEGY;
int cz_binary              = Z_BINARY;
int cz_ascii               = Z_ASCII;
int cz_unknown             = Z_UNKNOWN;
int cz_deflated            = Z_DEFLATED;
int cz_null                = Z_NULL;

/* for gzseek */
int cseek_set              = SEEK_SET;
int cseek_current          = SEEK_CUR;

/* misc */

unsigned int cz_stream_size (void)
{
  return (sizeof (z_stream));
}

